<template>
  <div>
    <UserCenter :title="$t('deposit')">
      <div v-if="isLoading" class="flex w-full h-full">
        <div v-loading="isLoading" class="w-full px-5 py-32"></div>
      </div>
      <template v-else>
        <div
          v-if="!isBankMethodAvailabled"
          class="px-5 py-32 text-2xl flex justify-center"
        >
          <span>{{ $t("no_available_method_to_do_the_transaction") }}</span>
        </div>
        <template v-else>
          <div
            v-if="!isLoading"
            class="divider-x flex relative mx-auto customePeru"
          >
              <div class="horizonal-line">
                <aside
                class="min-w-[248px] w-full bk8-scrollbar show_hidden_button_right"
              >
                <el-scrollbar>
                  <div class="p-6 flex flex-col gap-4">
                    <nuxt-link
                      v-if="isNormalBankMethodEnabled && isUfun"
                      to="/deposit/bank-transfer"
                      active-class="selected"
                      >
                      <ui-check-button
                        :text="$t('bank_transfer')"
                        :img="
                          getAssetImage(
                            'assets/materials/paymentMethod/icon-bank-transfer@2x.png'
                          )
                        "
                      />
                    </nuxt-link>
                    <template v-if="isPaymentBankMethodEnabled">
                      <nuxt-link
                        v-for="paymentMethod in paymentBanks.PaymentMethodsForDeposit"
                        :key="paymentMethod.PaymentMethodId"
                        :to="
                          '/deposit/payment-bank/' + paymentMethod.PaymentMethod
                        "
                        active-class="selected"
                      >
                        <ui-check-button
                          :text="paymentMethod.PaymentMethodDisplayName"
                          :img="paymentMethod.PaymentMethodIconUrl"
                        />
                      </nuxt-link>
                    </template>
                    <nuxt-link
                      v-if="isNormalBankMethodEnabled && !isUfun"
                      to="/deposit/bank-transfer"
                      active-class="selected"
                    >
                      <ui-check-button
                        :text="$t('bank_transfer')"
                        :img="
                          getAssetImage(
                            'assets/materials/paymentMethod/icon-bank-transfer@2x.png'
                          )
                        "
                      />
                    </nuxt-link>
                    <nuxt-link
                      v-if="isManualCryptoCurrencyEnabled"
                      to="/deposit/manual-crypto-currency"
                      active-class="selected"
                    >
                      <ui-check-button
                        :text="$t('manual_crypto_currency')"
                        :img="
                          getAssetImage(
                            'assets/materials/paymentMethod/icon-manual-crypto-currency@2x.png'
                          )
                        "
                      />
                    </nuxt-link>
                    <nuxt-link
                      v-if="IsAutoDepositEnabled"
                      to="/deposit/auto-deposit"
                      active-class="selected"
                    >
                      <ui-check-button
                        :text="$t('auto_deposit')"
                        :img="
                          getAssetImage(
                            'assets/materials/paymentMethod/icon-internet-banking@2x.png'
                          )
                        "
                      />
                    </nuxt-link>
                  </div>
                </el-scrollbar>
              </aside>
              </div>
            <el-scrollbar class="w-full h-screen">
              <div class="show_hidden_button_left cus_check_button">
                <div class="flex gap-2 w-full menu-header remove-scroll-bar">
                  <nuxt-link
                    v-if="isNormalBankMethodEnabled && isUfun"
                    to="/deposit/bank-transfer"
                    active-class="selected"
                  >
                    <ui-check-button
                      :text="$t('bank_transfer')"
                      :img="
                        getAssetImage(
                          'assets/materials/paymentMethod/icon-bank-transfer@2x.png'
                        )
                      "
                    />
                  </nuxt-link>
                  <template v-if="isPaymentBankMethodEnabled">
                    <nuxt-link
                      v-for="paymentMethod in paymentBanks.PaymentMethodsForDeposit"
                      :key="paymentMethod.PaymentMethodId"
                      :to="
                        '/deposit/payment-bank/' + paymentMethod.PaymentMethod
                      "
                      active-class="selected"
                    >
                      <ui-check-button
                        :text="paymentMethod.PaymentMethodDisplayName"
                        :img="paymentMethod.PaymentMethodIconUrl"
                      />
                    </nuxt-link>
                  </template>
                  <nuxt-link
                    v-if="isNormalBankMethodEnabled && !isUfun"
                    to="/deposit/bank-transfer"
                    active-class="selected"
                  >
                    <ui-check-button
                      :text="$t('bank_transfer')"
                      :img="
                        getAssetImage(
                          'assets/materials/paymentMethod/icon-bank-transfer@2x.png'
                        )
                      "
                    />
                  </nuxt-link>
                  <nuxt-link
                    v-if="isManualCryptoCurrencyEnabled"
                    to="/deposit/manual-crypto-currency"
                    active-class="selected"
                  >
                    <ui-check-button
                      :text="$t('manual_crypto_currency')"
                      :img="
                        getAssetImage(
                          'assets/materials/paymentMethod/icon-manual-crypto-currency@2x.png'
                        )
                      "
                    />
                  </nuxt-link>
                  <nuxt-link
                    v-if="IsAutoDepositEnabled"
                    to="/deposit/auto-deposit"
                    active-class="selected"
                  >
                    <ui-check-button
                      :text="$t('auto_deposit')"
                      :img="
                        getAssetImage(
                          'assets/materials/paymentMethod/icon-internet-banking@2x.png'
                        )
                      "
                    />
                  </nuxt-link>
                </div>
              </div>

              <div class="divider-y" style="--hint: var(--primary)">
                <nuxt-page
                  :payment-banks="paymentBanks"
                  :normal-banks="normalBanks"
                  :profile="profile"
                  :manual-crypto-currency="manualCryptoCurrency"
                ></nuxt-page>
              </div>
            </el-scrollbar>
          </div>
        </template>
      </template>
    </UserCenter>
  </div>
</template>
<script lang="ts" setup>
import UserCenter from "@/components/theme/desktop/peru/components/user-center-layout.client.vue";

const {
  paymentBanks,
  normalBanks,
  manualCryptoCurrency,
  isNormalBankMethodEnabled,
  isPaymentBankMethodEnabled,
  isManualCryptoCurrencyEnabled,
  isLoading,
  IsAutoDepositEnabled,
  isBankMethodAvailabled,
  isUfun,
} = useDeposit();
const { profile } = useProfile();
const { getAssetImage } = commonHelper;
</script>
<style scoped>
.remove-scroll-bar::-webkit-scrollbar {
  display: none;
}
.uc-section :deep(.el-input__inner),
.uc-section :deep(.el-input.is-disabled .el-input__inner),
.uc-section :deep(.el-input-group__append) {
  background-color: rgba(0, 0, 0, 0.1);
  color: var(--text5);
}
:deep(.company-bank-account .el-input__wrapper) {
  width: 98%;
}
.uc-section :deep(.company-bank-account-container .el-input-group__append) {
  background-color: var(--primary);
  border: unset;
  border-radius: 4px;
  box-shadow: none;
}
.uc-section :deep(.el-form-item__label) {
  color: var(--text5);
  font-size: 14px;
}
.show_hidden_button_left {
  display: none;
}
.show_hidden_button_right {
  display: block;
  --selected-border-color: #eee;
}
.customePeru .horizonal-line{
    border-right: 2px solid var(--border);
  }
:deep(.check-btn__content) {
  min-width: max-content;
}
.menu-header {
  overflow-x: auto;
}

@media screen and (min-width: 1536px) and (max-width: 1280px) {
  .show_hidden_button_left {
    display: none;
  }
  .show_hidden_button_right {
    display: block;
  }
  .customePeru .horizonal-line{
    border-right: 2px solid var(--border);
  }
  .check-btn__img {
    display: block;
  }
}
@media screen and (min-width: 1024px) and (max-width: 1279px) {
  .show_hidden_button_left {
    display: block;
    border-bottom: 2px solid var(--border);
  }
  .show_hidden_button_right {
    display: none;
  }
  .customePeru .horizonal-line{
    border-right: none;
  }
  .check-btn__img {
    display: block;
  }
  .cus_check_button {
    padding: 18px;
  }
}
@media screen and (min-width: 769px) and (max-width: 1023px) {
  .show_hidden_button_left {
    display: block;
    border-bottom: 2px solid var(--border);
  }
  .show_hidden_button_right {
    display: none;
  }
  .customePeru .horizonal-line{
    border-right: none;
  }
  .check-btn__img {
    display: block;
  }
  .cus_check_button {
    padding: 18px;
  }
}
@media screen and (min-width: 640px) and (max-width: 768px) {
  .show_hidden_button_left {
    display: block;
    border-bottom: 2px solid var(--border);
  }
  .show_hidden_button_right {
    display: none;
  }
  .customePeru .horizonal-line{
    border-right: none;
  }
  .display_none {
    display: block !important;
  }
  .check-btn__img {
    display: block;
  }
  .cus_check_button {
    padding: 18px;
    flex-flow: wrap;
  }
}

@media (max-width: 639px) {
  .show_hidden_button_left {
    display: block;
  }
  .show_hidden_button_right {
    display: none;
  }
  .customePeru .horizonal-line{
    border-right: none;
  }
  .display_none {
    display: none !important;
  }
  .display_bloc {
    display: block;
  }
  .check-btn__img {
    display: none;
  }
  :deep(.check-btn__content) {
    padding: 10px 30px !important;
  }
  .selected .check-btn ::before {
    --selected-border-color: color(--primary);
    border-bottom: 1px solid;
  }
  .check-btn::before {
    border: none;
    border-bottom: 2px solid transparent;
  }
  .check-btn {
    --border-radius: 0px;
    --border-color: transparent;
    --selected-text-color: var(--primary);
  }
  .check-btn__check {
    display: none;
  }
  .check-btn__img {
    display: none;
  }
  .cus_check_button {
    padding: 0px;
    justify-content: center;
    position: relative;
    transition: transform 0.3s;
    transition: transform var(--el-transition-duration);
    white-space: nowrap;
    z-index: 2;
    z-index: calc(var(--el-index-normal) + 1);
  }
  .cus_check_button:before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background: #505451;
  }
}
</style>
